Name:		jam
Version:	2.5
Release:	7%{?dist}
License:	Copyright only
Group:		Development/Tools
Summary:	Program construction tool, similar to make
URL:		http://public.perforce.com/public/jam/index.html
Source0:	ftp://ftp.perforce.com/jam/%{name}-%{version}.tar
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	byacc

%description
Jam is a program construction tool, like make. Jam recursively builds target 
files from source files, using dependency information and updating actions 
expressed in the Jambase file, which is written in jam's own interpreted 
language. The default Jambase is compiled into jam and provides a boilerplate 
for common use, relying on a user-provide file "Jamfile" to enumerate actual 
targets and sources. 

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS" CCFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m0755 bin.linux*/jam $RPM_BUILD_ROOT/%{_bindir}
install -m0755 bin.linux*/mkjambase $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README RELNOTES *.html
%{_bindir}/jam
%{_bindir}/mkjambase

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.5-6
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Tom "spot" Callaway <tcallawa@redhat.com> 2.5-5
- fix license tag
- rebuild for BuildID in devel

* Mon Sep 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.5-4
- fix minimal BR from bison to byacc
- rebuild for FC-6

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.5-3
- bump for FC5

* Fri Sep  9 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.5-2
- use smp_mflags
- use name and version in source field

* Fri Aug 19 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.5-1
- initial package for Fedora Extras
